Description

| see lots of messages like the following in the artdaq process logs in an artdag-v3_5_0-based system at protoDUNE:

Back from xmlrpc_string_new_Ip
wrapper constructed

value_string constructor exiting
value_string constructor entered
Going to call xmlrpc_string_new_|Ip
length = 6, value = Booted

| suspect that these messages are going into the PMT log in artdag-demo systems.
Can we disable these somehow?

Thanks,
Kurt

Related issues:
Related to artdaq - Support #23036: Observations from attempting to install a... New 08/01/2019

History

#1 - 06/18/2019 02:19 PM - Eric Flumerfelt

This is caused by xmirpc_c inexplicably leaving debug print statements in a so-called "stable" release. We have a few options:

1. Go back to a previous version of xmlrpc_c, making sure that it compiles with €19 and c7
2. Move to a newer version of xmirpc_c, assuming that the problem has been fixed
3. Patch the current version to make sure these printouts are removed

#2 - 06/18/2019 02:29 PM - Eric Flumerfelt

| have found the problem in the build-framework-xmlrpc-c-ssi-build repository: there were two patch files for this issue, but only one was being
applied. Since this is already a distributed product, the best way forward is probably to add an a to the version and make a new set of tarballs. The
next artdaq release would then use that version of xmirpc_c.

#3 - 08/01/2019 10:32 AM - Kurt Biery
- Priority changed from Normal to High

| see that these messages are still around in an artdag_demo 3.6.0 system, so I'm raising the priority of this issue.

#4 - 08/01/2019 02:33 PM - Kurt Biery
- Related to Support #23036: Observations from attempting to install and run the artdaq_demo v3_6_0 added

#5 - 08/02/2019 09:31 AM - Kurt Biery

Eric, thanks for the patched version of xmirpc_c (v1_51_03a). Tests with the updated version of the demo v3_06_00 confirm that the messages are
gone.

The timing of this is nice. This morning, Phil Rodrigues (protoDUNE) asked about getting rid of these messages, and it was nice to be able to report
that a fix can be deployed at a convenient time.

Thanks again.

#6 - 10/07/2019 11:40 AM - Eric Flumerfelt

- Target version set to artdaq v3_06_01
- Status changed from New to Closed

XMLRPC v1_51_03a standard in artdaq v3_06_01 release.
